Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/gh/kyc/passport

HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id *stringThe Voter Number, Application ID, or National ID Number (NIN)required

Sample response

Response
{
    "entity": {
        "date_of_birth": "1990-04-05",
        "expiry_date": "2022-10-03",
        "first_name": "John",
        "gender": "MALE",
        "id": "G0000000",
        "is_date_of_birth_match": true,
        "is_first_name_match": false,
        "is_last_name_match": true,
        "is_middle_name_match": true,
        "issue_date": "2017-11-03",
        "last_name": "Doe",
        "middle_name": "Jack",
        "picture": "/9j/4AAQSkZJRgABAQAAAQAB",
        "place_of_birth": "TEMA",
        "place_of_issue": "ACCRA"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.date_of_birthstringDate of birth of the individual (yyyy-MM-dd)
entity.expiry_datestringExpiry date of the passport (yyyy-MM-dd)
entity.first_namestringFirst name of the passport holder
entity.genderstringGender of the individual
entity.idstringPassport number
entity.is_date_of_birth_matchbooleanWhether the provided date of birth matches the record
entity.is_first_name_matchbooleanWhether the provided first name matches the record
entity.is_last_name_matchbooleanWhether the provided last name matches the record
entity.is_middle_name_matchbooleanWhether the provided middle name matches the record
entity.issue_datestringDate the passport was issued (yyyy-MM-dd)
entity.last_namestringLast name of the passport holder
entity.middle_namestringMiddle name of the passport holder
entity.picturestringBase64-encoded photo of the individual
entity.place_of_birthstringPlace of birth of the individual
entity.place_of_issuestringLocation where the passport was issued